Skip to content

List Players

GET /api/v1/players

  • limit number of records to return
  • search optional player name search
  • sort one of recent or name
  • cracked one of true, false, or empty
  • geyser one of true, false, or empty
  • cursorUpdatedAt cursor timestamp (available when sort=recent)
  • cursorUuid cursor UUID (available when sort=recent)
  • offset fallback offset pagination
  • Preferred mode is cursor pagination for sort=recent using cursorUpdatedAt + cursorUuid.
  • If sort=name, use offset pagination.
  • Response metadata includes meta.hasMore.
Terminal window
curl -X GET "https://slowstack.tv/api/v1/players?limit=20&sort=recent" \
-H "Authorization: Bearer YOUR_API_KEY"
Terminal window
curl -X GET "https://slowstack.tv/api/v1/players?limit=20&sort=recent&cursorUpdatedAt=2026-02-21T09:36:42.239Z&cursorUuid=b63135c9-3c3e-3e94-b88d-4bc3cd2c8248" \
-H "Authorization: Bearer YOUR_API_KEY"
const params = new URLSearchParams({
limit: '20',
sort: 'recent'
});
const response = await fetch(`https://slowstack.tv/api/v1/players?${params.toString()}`, {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const result = await response.json();
console.log(result.data[0]?.uuid, result.data[0]?.currentServerIp);
{
"data": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "ExamplePlayer",
"isCracked": false,
"isGeyser": false,
"updatedAt": "2026-02-21T09:31:15.000Z",
"currentServerIp": 16909060,
"currentServerPort": 25565,
"currentServerJoinedAt": "2026-02-21T08:44:00.000Z"
}
],
"meta": {
"hasMore": true
}
}

currentServerIp is a signed 32-bit integer when present. See IP Address Integer Format for conversion examples in JavaScript, Python, and Java.